<?php 
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Vars"                                                |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Version 4.0 / August 2013

*/

  if (!defined('CPO')) exit;

global $_type, $fetchedcontent, $cpoRubric, $content, $mod_vars;

// check if we already tried to fetch content for this type
if (array_key_exists($_type, $fetchedcontent)) return;
$fetchedcontent[$_type] = true;

foreach ($mod_vars[$cpoRubric['id']] AS $var_name=>$var_content) {
    $content[$var_name.' ('.$_type.')'] = array(
        'type'		=> $_type,
        'name'		=> $var_name,
        'content'	=> $var_content
    );
}

?>
